Name: mos-panel-desktop
Version: 1.0
Release: alt1

Summary: M OS default desktop settings
Summary(ru_RU.UTF-8): Начальные настройки пользователя М ОС

License: GPLv3
Group: System/Configuration/Other
Url: http://osmesh.ru
BuildArch: noarch
Requires: xmlstarlet
Requires: /usr/bin/xml_grep
Source: %name-%version.tar
Conflicts: mos-std-desktop

%description
Standart files on Desktop and M OS icons, ovewrite basealt logo
Default settings for applications

%description -l ru_RU.UTF-8
Файлы по умолчанию для Рабочего стола М ОС, настройка приложений и настройка иконок.
Файловый триггер используется, чтобы не создавалось ошибочного впечателния, что М ОС - продукт компании Базальт.
Все изображения логотипа затираются и используются изображения логотипа М ОС.

%prep
%setup

%install
%define skeldir "/etc/skel"
%define skelconfigdir "/etc/skel/.config"
%define skellocalsharedir "/etc/skel/.local/share"
%define skeldesktopdir "/etc/skel/Рабочий стол"
%define skelprogdir "/etc/skel/Рабочий стол/Программы"
%define ftdir "/usr/lib/rpm"
%define aptdir "/etc/apt/sources.list.d"

mkdir -p %buildroot%skelconfigdir
mkdir -p %buildroot%skelconfigdir/inkscape
mkdir -p %buildroot%skelconfigdir/chromium/Default
mkdir -p %buildroot%skelconfigdir/libreoffice/4/user
mkdir -p %buildroot%skellocalsharedir/OpenBoard
mkdir -p %buildroot%skellocalsharedir/kwalletd
mkdir -p %buildroot%skeldesktopdir
mkdir -p %buildroot%skelprogdir
mkdir -p %buildroot%ftdir
mkdir -p %buildroot%aptdir
mkdir -p %buildroot%_sysconfdir/profile.d

install -pm644 powermanagementprofilesrc %buildroot%skelconfigdir
install -pm644 inkscape.xml %buildroot%skelconfigdir/inkscape/preferences.xml
install -pm644 chromium.json %buildroot%skelconfigdir/chromium/Default/Preferences
install -pm644 libreoffice.xcu %buildroot%skelconfigdir/libreoffice/4/user/registrymodifications.xcu
install -pm644 OpenBoardUser.config %buildroot%skellocalsharedir/OpenBoard
install -pm600 kdewallet.kwl %buildroot%skellocalsharedir/kwalletd
install -pm600 kdewallet.salt %buildroot%skellocalsharedir/kwalletd
install -pm644 Home.desktop %buildroot%skeldesktopdir
install -pm644 'Библиотека МЭШ' %buildroot%skeldesktopdir
install -pm744 OpenBoard.desktop %buildroot%skeldesktopdir
install -pm744 chromium.desktop %buildroot%skeldesktopdir
install -pm644 Документ.ott %buildroot%skelprogdir
install -pm644 Таблица.ots %buildroot%skelprogdir
install -pm644 Презентация.otp %buildroot%skelprogdir
install -pm600 settingsprogdir %buildroot%skelprogdir/.directory
install -pm755 brandicons.filetrigger %buildroot%ftdir
install -pm755 previewplugins.filetrigger %buildroot%ftdir
install -pm755 PlasmaFavorites.filetrigger %buildroot%ftdir
install -pm755 desktopbigicon.filetrigger %buildroot%ftdir
install -pm644 mos.list %buildroot%aptdir
install -pm755 10-chromium-default-incognito.sh %buildroot%_sysconfdir/profile.d

%files
"/etc/skel/.config/powermanagementprofilesrc"
"/etc/skel/.config/inkscape/preferences.xml"
"/etc/skel/.config/chromium/Default/Preferences"
"/etc/skel/.config/libreoffice/4/user/registrymodifications.xcu"
"/etc/skel/.local/share/OpenBoard/OpenBoardUser.config"
"/etc/skel/.local/share/kwalletd/kdewallet.kwl"
"/etc/skel/.local/share/kwalletd/kdewallet.salt"
"/etc/skel/Рабочий стол/Home.desktop"
"/etc/skel/Рабочий стол/Библиотека МЭШ"
"/etc/skel/Рабочий стол/OpenBoard.desktop"
"/etc/skel/Рабочий стол/chromium.desktop"
"/etc/skel/Рабочий стол/Программы/Документ.ott"
"/etc/skel/Рабочий стол/Программы/Презентация.otp"
"/etc/skel/Рабочий стол/Программы/Таблица.ots"
"/etc/skel/Рабочий стол/Программы/.directory"
"/usr/lib/rpm/brandicons.filetrigger"
"/usr/lib/rpm/previewplugins.filetrigger"
"/usr/lib/rpm/PlasmaFavorites.filetrigger"
"/usr/lib/rpm/desktopbigicon.filetrigger"
"/etc/apt/sources.list.d/mos.list"
"/etc/profile.d/10-chromium-default-incognito.sh"

%changelog
* Wed Apr 27 2022 Artem Proskurnev <tema@altlinux.org> 1.0-alt1
- Fork kometa-panel-desktop

* Wed Apr 06 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.12-kometa3
- Dark green background for OpenBoard

* Wed Mar 16 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.12-kometa2
- Correct panel power
- Chromium maximized
- KWallet default

* Tue Mar 15 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.12-kometa1
- Add power management
- Add chromium, openboard, url meshlib -> desktop
- Trigger for big icons

* Mon Mar 14 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.11-kometa1
- Docs -> Программы, remove Trash from desktop

* Mon Mar 14 2022 Mikhail Novosyolov <mikhailnov@altlinux.org> 1.10-kometa1
- Default to incognito mode in Chromium.
- Different people use interactive panels, avoid leaks of authentication.

* Mon Mar 14 2022 Mikhail Novosyolov <mikhailnov@altlinux.org> 1.9-kometa1
- Added filetrigger to change default favourite application in classical KDE menu

* Fri Mar 11 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.8-kometa1
- OpenBoard settings

* Wed Mar 02 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.7-kometa1
- LibreOffice VerticalRuler

* Mon Feb 28 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.6-kometa1
- Kometa repo

* Fri Feb 25 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.5-kometa1
- kdeglobals -> kometa-xdg
- Disable presenter console LO Impress

* Thu Feb 22 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.4-kometa1
- Docs -> kometa-docdir

* Thu Feb 17 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.3-kometa1
- KDE5 preview plugins

* Wed Feb 16 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.2-kometa1
- Chromium - default

* Wed Dec 29 2021 Artem Proskurnev <tema@proskurnevs.ru> 1.1-kometa1
- Change Inkscape deafult theme. In a standard theme, icons are not visible on a dark background. Chromium <- yandex.ru

* Fri Dec 17 2021 Artem Proskurnev <tema@proskurnevs.ru> 1.0-kometa2
- Only desktop icons + filetrigger kometa -> basealt, altlinux

* Thu Oct 21 2021 1.0-kometa1
- Dolphin, single click, ru/us == РУС/АНГ, Num Lock

* Mon Nov 02 2020 1.0-kometa0
- initial build
